class VoterNotify < ActionMailer::Base

  def votestart(voter)
    @subject = "[%s] Election Begun!" % voter.election.name
    @recipients = voter.email
    @from = MAIL_CONFIG[:from]
    @sent_on = Time.now
    @body = { :voter => voter }
  end

  def reminder(voter_array)
    @subject = "Selectricity Election Reminder!"
    @recipients = voter_array[0].email
    @from = MAIL_CONFIG[:from]
    @sent_on = Time.now
    @body = { :voter_array => voter_array }
  end

end
